scsi_block_when_processing_errors
Prev | drivers/scsi/scsi_error.c | Next

## Name

scsi_block_when_processing_errors — Prevent cmds from being queued.

## Synopsis

`int scsi_block_when_processing_errors (` | struct scsi_device * | sdev`)`;

## Arguments

`sdev`

  Device on which we are performing recovery.

## Description

We block until the host is out of error recovery, and then check to see whether the host or the device is offline.

## Return value

0 when dev was taken offline by error recovery. 1 OK to proceed.

Prev | Up | Next
scsi_schedule_eh | Home | scsi_eh_prep_cmnd